チケット #38482

.dic files vary across builds

登録: 2018-08-09 00:12 最終更新: 2019-01-26 13:59

報告者:
担当者:
チケットの種類:
状況:
完了
コンポーネント:
(未割り当て)
マイルストーン:
優先度:
7
重要度:
7
解決法:
修正済み
ファイル:
なし

詳細

When working on reproducible builds for openSUSE, I found that our fwnn package varied for every build because .dic files had the current time, build host name and inode numbers in their headers. I have created a patch to use fixed values instead, but dont know if that will disturb normal operation.

チケットの履歴 (7 件中 3 件表示)

2018-08-09 00:12 更新者: bmwiedemann
  • 新しいチケット ".dic files vary across builds" が作成されました
2018-08-09 00:18 更新者: bmwiedemann
コメント

http://rb.zq1.de/patches/fwnn.patch Please review/test/improve/discuss/merge

(編集済, 2018-08-09 00:22 更新者: bmwiedemann)
2018-08-12 12:41 更新者: itisango
コメント

I checked your patch file.

FreeWnn with your patch can not read dictionaries. So we can not accept your patch.

Please see https://osdn.net/projects/freewnn/lists/archive/users/2018-August/000313.html

2019-01-03 23:06 更新者: itisango
  • 担当者(未割り当て) から itisango に更新されました
  • 解決法なし から 受領 に更新されました
  • マイルストーン(未割り当て) から 1.1.1-a024 (予定)リリース に更新されました
  • 重要度5 - 中 から 7 に更新されました
  • 優先度5 - 中 から 7 に更新されました
コメント

!!! Request For Comments !!!

I wrote a patch.

I wait untill 2019-01-18 (+0900). If it has no problem, I'm going to commit this patch to the CVS repository.

Please see: https://osdn.net/projects/freewnn/lists/archive/users/2019-January/000320.html

2019-01-04 00:39 更新者: None
コメント

I backported your patch to FreeWnn-1.1.1 and it indeed made the package build reproducible. So it is very good from my perspective. I cannot check that it still works, though.

コメント

I backported your patch to FreeWnn-1.1.1 and it indeed made the package build reproducible. So it is very good from my perspective. I cannot check that it still works, though.

2019-01-20 21:22 更新者: itisango
  • 解決法受領 から 修正済み に更新されました
コメント

Done.

2019-01-26 13:59 更新者: itisango
  • 状況オープン から 完了 に更新されました

添付ファイルリスト

添付ファイルはありません

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする